| Kea 3.0.2-git

rrtype.cc File Reference
`#include <config.h>`
`#include <exceptions/exceptions.h>`
`#include <dns/messagerenderer.h>`
`#include <dns/rrparamregistry.h>`
`#include <dns/rrtype.h>`
`#include <util/buffer.h>`
`#include <stdint.h>`
`#include <string>`
`#include <ostream>`
Include dependency graph for rrtype.cc:

Go to the source code of this file.

## Classes
class | RRType
| The `RRType` class encapsulates DNS resource record types. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::dns

## Functions
ostream & | isc::dns::operator<< (std::ostream &os, const RRType &rrtype)
| Insert the `RRType` as a string into stream.